Remove speakers from a session
curl --request DELETE \
--url https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId}/speakers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"speakerId": "d812a64f-8865-4289-9024-9a120792c3d8",
"speakerOrder": 1
}
]
'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId}/speakers"
payload = [
{
"speakerId": "d812a64f-8865-4289-9024-9a120792c3d8",
"speakerOrder": 1
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{speakerId: 'd812a64f-8865-4289-9024-9a120792c3d8', speakerOrder: 1}])
};
fetch('https://api.zuddl.com/v1/events/{eventId}/sessions/{sessionId}/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Sessions
Remove speakers from a session
Use this endpoint to remove speakers from a session for a specific event type in your Zuddl organization.
Required API key scopes: WRITE
This API can only be called with an access key that was generated for Backend usage.
DELETE
/
v1
/
events
/
{eventId}
/
sessions
/
{sessionId}
/
speakers
Remove speakers from a session
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the session
Body
application/json
Response
Speakers removed successfully
Was this page helpful?
⌘I